net.corda.node.services.persistence

## Class StorageServiceImpl

- SingletonSerializeAsToken
- - net.corda.node.services.persistence.StorageServiceImpl

- All Implemented Interfaces:
    AttachmentsStorageService, SerializeAsToken, StorageService, TxWritableStorageService

      public class StorageServiceImpl
      extends SingletonSerializeAsToken
      implements TxWritableStorageService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<? extends net.corda.core.node.services.FileUploader>` | `uploaders`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StorageServiceImpl(AttachmentStorage attachments, TransactionStorage validatedTransactions, StateMachineRecordedTransactionMappingStorage stateMachineRecordedTransactionMapping)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AttachmentStorage` | `getAttachments()` Provides access to storage of arbitrary JAR files
    `StateMachineRecordedTransactionMappingStorage` | `getStateMachineRecordedTransactionMapping()`
    `java.util.List<net.corda.core.node.services.FileUploader>` | `getUploaders()`
    `TransactionStorage` | `getValidatedTransactions()` A map of hash-
    `void` | `initUploaders(java.util.List<? extends net.corda.core.node.services.FileUploader> uploadersList)`
    `void` | `setUploaders(java.util.List<? extends net.corda.core.node.services.FileUploader> p)`

    - ### Methods inherited from class net.corda.core.serialization.SingletonSerializeAsToken

      `toToken`

    - ### Methods inherited from interface net.corda.core.node.services.TxWritableStorageService

      `getValidatedTransactions`

    - ### Methods inherited from interface net.corda.core.node.services.StorageService

      `getStateMachineRecordedTransactionMapping, getUploaders, getValidatedTransactions`

    - ### Methods inherited from interface net.corda.core.node.services.AttachmentsStorageService

      `getAttachments`

    - ### Methods inherited from interface net.corda.core.serialization.SerializeAsToken

      `toToken`

- - ### Field Detail

    - #### uploaders

          public java.util.List<? extends net.corda.core.node.services.FileUploader> uploaders

  - ### Constructor Detail

    - #### StorageServiceImpl

          public StorageServiceImpl(AttachmentStorage attachments,
                                    TransactionStorage validatedTransactions,
                                    StateMachineRecordedTransactionMappingStorage stateMachineRecordedTransactionMapping)

      Parameters:
        `attachments` - Provides access to storage of arbitrary JAR files(which may contain only data,no code).
        `validatedTransactions` - A map of hash->tx where tx has been signature/contract validated and the states are known to be correct.The signatures aren't technically needed after that point,but we keep them around so that we can relaythe transaction data to other nodes that need it.

  - ### Method Detail

    - #### getUploaders

          public java.util.List<net.corda.core.node.services.FileUploader> getUploaders()

    - #### setUploaders

          public void setUploaders(java.util.List<? extends net.corda.core.node.services.FileUploader> p)

    - #### initUploaders

          public void initUploaders(java.util.List<? extends net.corda.core.node.services.FileUploader> uploadersList)

    - #### getAttachments

          public AttachmentStorage getAttachments()

      Provides access to storage of arbitrary JAR files

      (which may contain only data,no code).

    - #### getValidatedTransactions

          public TransactionStorage getValidatedTransactions()

      A map of hash-

      >tx where tx has been signature/contract validated and the states are known to be correct.The signatures aren't technically needed after that point,but we keep them around so that we can relaythe transaction data to other nodes that need it.

    - #### getStateMachineRecordedTransactionMapping

          public StateMachineRecordedTransactionMappingStorage getStateMachineRecordedTransactionMapping()